<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>i3plus-pojo</artifactId>
        <groupId>i3plus.pojo</groupId>
        <version>1.0-DEV-SNAPSHOT</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>i3plus-pojo-ptl</artifactId>
    <packaging>jar</packaging>

    <dependencies>
        <dependency>
            <groupId>i3plus.pojo</groupId>
            <artifactId>i3plus-pojo-base</artifactId>
        </dependency>
    </dependencies>
    <profiles>
        <profile>
            <id>dev</id>
            <properties>
                <profileActive>DEV</profileActive>
            </properties>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <id>test</id>
            <properties>
                <profileActive>TEST</profileActive>
            </properties>
        </profile>
        <profile>
            <id>docker</id>
            <properties>
                <profileActive>DOCKER</profileActive>
            </properties>
        </profile>
        <profile>
            <id>prod</id>
            <properties>
                <profileActive>PROD</profileActive>
            </properties>
        </profile>
    </profiles>
    <build>
        <finalName>${project.artifactId}-${project.version}</finalName>
    </build>
</project>